<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ces Templates sont utilises dans Program et Course -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	
	<!-- Template des Crédits ECTS  -->
	
	<xsl:template name="tCreditsECTScredits">
		<xsl:param name="pNode"/>
		<xsl:apply-templates select="$pNode/credits/@ECTScredits"/>
	</xsl:template>
	
	<!-- Template des crédits - InfoBlock seul -->
	
	<xsl:template name="tCreditsInfoBlockType">
		<xsl:param name="pNode"/>
		<xsl:apply-templates select="$pNode/credits/infoBlock"/>
	</xsl:template>
	
	<!-- Template des volumes horaires - LISTE
	Attribut teachingtype implémenté avec globalVolume correspondant -->
	
	<xsl:template name="tCreditsGlobalVolume">
		<xsl:param name="pNode"/>
		<ul>
			<xsl:for-each select="$pNode/credits/globalVolume">
				<li>
					<xsl:call-template name="transformTeachingtype"><xsl:with-param name="pTeachingtype" select="@teachingtype"/></xsl:call-template> :
					<xsl:apply-templates select="node()"/>
					<xsl:text> h</xsl:text>
				</li>
			</xsl:for-each>
		</ul>
	</xsl:template>
	
	<!-- Template volumes horaires - Sélection d'un attribut (par exemple "all" pour la durée totale)
	Attribut teachingtype implémenté avec globalVolume correspondant -->
	
	<xsl:template name="tCreditsGlobalVolumeTeachingType">
		<xsl:param name="pNode"/>
		<xsl:param name="pTeachingType"/><xsl:value-of select="$pNode/credits"/>
		<xsl:apply-templates select="$pNode/credits/globalVolume[@teachingtype=$pTeachingType]/node()"/>
	</xsl:template>
	
	<!-- Transformation du libellé de la nature d'enseignement -->
	
	<xsl:template name="transformTeachingtype">
		<xsl:param name="pTeachingtype"/>
		<xsl:choose>
			<xsl:when test="$pTeachingtype = 'homeWork'">
				<xsl:value-of select="$variablesExt/variables/courseVar/userDefine[@type='volumeHomeWork']/value[@lang=$_lang]"/>
			</xsl:when>
			<xsl:when test="$pTeachingtype = 'ProfessTraining'">
				<xsl:value-of select="$variablesExt/variables/courseVar/userDefine[@type='volumeProfessTraining']/value[@lang=$_lang]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$pTeachingtype"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>